#
# spec file for package flex-old (Version 2.5.4a)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           flex-old
BuildRequires:  bison
Url:            http://www.gnu.org/software/flex/flex.html
License:        BSD-3-Clause
Group:          Development/Languages/C and C++
Conflicts:      flex
PreReq:         %install_info_prereq
AutoReqProv:    on
Version:        2.5.4a
Release:        159.5
Summary:        Fast Lexical Analyser Generator
Source:         flex-%{version}.tar.bz2
Patch:          flex-%{version}.diff
Patch1:         flex-%{version}-fPIC.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
FLEX is a tool for generating scanners: programs which recognize
lexical patterns in text.

This package contains flex-2.5.4, it will be dropped when all packages
build with flex-2.5.31.



Authors:
--------
    Vern Paxson <vern@ee.lbl.gov>

%prep
%setup -n flex-2.5.4
%patch
%patch1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=%{_prefix} 
make

%install
rm -rf $RPM_BUILD_ROOT
make install bindir=$RPM_BUILD_ROOT/usr/bin \
             includedir=$RPM_BUILD_ROOT/usr/include \
             libdir=$RPM_BUILD_ROOT/%{_libdir} \
             mandir=$RPM_BUILD_ROOT/%{_mandir}/man1
install lex $RPM_BUILD_ROOT/%{_bindir} 
mkdir -p $RPM_BUILD_ROOT/%{_infodir}
install -m 644 MISC/texinfo/flex.info $RPM_BUILD_ROOT/%{_infodir}
cd $RPM_BUILD_ROOT/%{_mandir}/man1
ln -sf flex.1.gz lex.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/flex
/usr/bin/flex++
/usr/bin/lex
/usr/include/FlexLexer.h
%{_libdir}/libfl.a
%{_mandir}/man1/flex.1.gz
%{_mandir}/man1/lex.1.gz
%{_infodir}/*

%post
%install_info --info-dir=%{_infodir} %{_infodir}/flex.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/flex.info.gz

%changelog
* Thu Mar 29 2007 mmarek@suse.de
- added bison to BuildRequires
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 22 2005 mmarek@suse.cz
- created flex-old for packages that won't build with flex-2.5.31
  (this package will be dropped when it's not needed)
* Mon Nov  7 2005 mmarek@suse.cz
- compile libfl.a with -fPIC
* Sun Jan 11 2004 adrian@suse.de
- add %%defattr
* Mon Sep 15 2003 tcrhak@suse.cz
- Use <iostream> and std namespace in flex.skl [bug #30427]
* Fri Aug  1 2003 coolo@suse.de
- don't strip explicitly
* Thu Apr 24 2003 ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb  7 2003 ro@suse.de
- added install_info macros
* Tue Sep 17 2002 ro@suse.de
- removed bogus self-provides
* Sat Jul 27 2002 kukuk@suse.de
- remove yacc from neededforbuild, bison is used
* Wed Jun 26 2002 tcrhak@suse.cz
- update to 2.5.4a (slight change in license only)
- bzipped sources
* Tue Jan  8 2002 schwab@suse.de
- Use <iostream> and std namespace in FlexLexer.h.
* Tue Jul 31 2001 nadvornik@suse.cz
- installed info pages [bug #9566]
- added buildroot
* Wed Apr 11 2001 nadvornik@suse.cz
- declaration of isatty replaced with include<unistd.h>
* Mon Apr  2 2001 schwab@suse.de
- Don't try to forward declare class istream, just include <iostream.h>.
* Tue Nov 21 2000 kukuk@suse.de
- Use macros to support multilib plattforms
* Tue Apr  4 2000 bk@suse.de
- flex needs yacc for building on s390
* Fri Feb 25 2000 schwab@suse.de
- Specfile cleanup, get rid of Makefile.Linux
- /usr/man -> /usr/share/man
- Add group tag
- Fix lex script
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Feb  6 1997 rj@suse.de
- new version 2.5.4
